Bug 216996 - Update x11/tint to 0.12.12
Summary: Update x11/tint to 0.12.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-11 09:55 UTC by yamagi
Modified: 2017-02-14 19:36 UTC (History)
2 users (show)

See Also:
yamagi: maintainer-feedback+


Attachments
Update x11/tint to 0.12.12 (2.29 KB, patch)
2017-02-11 09:55 UTC, yamagi
yamagi: maintainer-approval+
Details | Diff
Slightly different patch (2.95 KB, patch)
2017-02-13 21:50 UTC, Tobias C. Berner
no flags Details | Diff
Slightly different patch (v2) (3.92 KB, patch)
2017-02-13 22:21 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yamagi 2017-02-11 09:55:41 UTC
Created attachment 179870 [details]
Update x11/tint to 0.12.12

The attached patch updates x11/tint to version 0.12.12. Changes to the application:

  * Set task maximum height equal to width if not specified
  * Borders can now be drawn on only some sides
  * Updated man page
  * The geometry of panel items is printed to stderr if the environment variable DEBUG_GEOMETRY is set


Changes to the port:

  * Switch master site to Gitlab.
  * Add some missing files to the plist


This updates was tested with Poudriere on FreeBSD 10.3 and 11.0. I've used the new version on my desktop for several days.
Comment 1 Olivier Duchateau freebsd_committer 2017-02-13 21:10:28 UTC
Back to pool.
Comment 2 Tobias C. Berner freebsd_committer 2017-02-13 21:50:56 UTC
Created attachment 179966 [details]
Slightly different patch

I would suggest my slightly modified patch
* Use the github mirror of the project
* The NLS option seemed broken to me
* Drop gettext from USES, and only add it to NLS
* Use OPT_CMAKE_BOOL/_OFF

mfg Tobias
Comment 3 Tobias C. Berner freebsd_committer 2017-02-13 22:21:27 UTC
Created attachment 179968 [details]
Slightly different patch (v2)

I think the NLS option was still broken in my previous patch. Hopefully fixed now...
Comment 4 yamagi 2017-02-14 10:55:44 UTC
Using the Github mirror is a very good idea. The fixes NLS options are looking good, too. Go ahead and commit it. :)
Comment 5 yamagi 2017-02-14 11:25:39 UTC
Comment on attachment 179968 [details]
Slightly different patch (v2)

maintainer-approval
Comment 6 yamagi 2017-02-14 11:26:41 UTC
Mkay, apparently I'm to stupid to set the maintainer approval flag on the second patch or Bugzilla doesn't like me. Therefor in word: The patch has my approval.
Comment 7 commit-hook freebsd_committer 2017-02-14 19:35:19 UTC
A commit references this bug:

Author: tcberner
Date: Tue Feb 14 19:34:42 UTC 2017
New revision: 434134
URL: https://svnweb.freebsd.org/changeset/ports/434134

Log:
  Update x11/tint to 0.12.12

  Slightly modified version of the one originally submitted in the PR.

  PR:		216996
  Submitted by:	yamagi@yamagi.org
  Reported by:	yamagi@yamagi.org
  Approved by:	yamagi@yamagi.org (maintainer), rakuco (mentor)

Changes:
  head/x11/tint/Makefile
  head/x11/tint/distinfo
  head/x11/tint/files/
  head/x11/tint/files/patch-src_tint2conf_po_CMakeLists.txt
  head/x11/tint/pkg-plist